> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cars



## OpenAPI

````yaml /openapi/fleet.json get /v1/fleet/cars/
openapi: 3.0.3
info:
  title: Yume API — Автопарк
  version: 1.0.0
  description: Управление автопарком.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/fleet/cars/:
    get:
      tags:
        - cars
      summary: Get cars
      operationId: cars_list
      parameters:
        - in: query
          name: inventory
          schema:
            type: integer
        - in: query
          name: inventory__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: pageSize
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedFleetCarList'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PaginatedFleetCarList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/FleetCar'
    FleetCar:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        yandex_id:
          type: string
          maxLength: 64
        park_id:
          type: string
          nullable: true
          maxLength: 64
        callsign:
          type: string
          nullable: true
          maxLength: 128
        brand:
          type: string
          nullable: true
          maxLength: 128
        model:
          type: string
          nullable: true
          maxLength: 128
        year:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        color:
          type: string
          nullable: true
          maxLength: 64
        number:
          type: string
          nullable: true
          maxLength: 32
        vin:
          type: string
          nullable: true
          maxLength: 64
        registration_cert:
          type: string
          nullable: true
          maxLength: 64
        status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/StatusEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        amenities:
          type: array
          items:
            $ref: '#/components/schemas/AmenitiesEnum'
        category:
          type: array
          items:
            $ref: '#/components/schemas/CategoryEnum'
        is_rental:
          type: boolean
          nullable: true
        is_readonly:
          type: boolean
          nullable: true
        synced_at:
          type: string
          format: date-time
          nullable: true
        tenant:
          type: integer
        inventory:
          type: integer
        inventory_car:
          type: integer
      required:
        - created_at
        - id
        - inventory
        - inventory_car
        - updated_at
        - yandex_id
    StatusEnum:
      enum:
        - working
        - not_working
        - repairing
        - no_driver
        - pending
        - unknown
      type: string
      description: |-
        * `working` - На линии
        * `not_working` - Не на линии
        * `repairing` - В ремонте
        * `no_driver` - Без водителя
        * `pending` - Ожидает
        * `unknown` - Неизвестно
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    AmenitiesEnum:
      enum:
        - conditioner
        - no_smoking
        - child_chair
        - animal_transport
        - universal
        - wifi
        - check
        - card
        - yamoney
        - newspaper
        - coupon
        - creditcard
        - dont_call
        - smoking
        - delivery
        - vip_event
        - woman_driver
        - post_terminal
        - bicycle
        - skiing
        - passenger_plus
        - cargo_clean
        - door_to_door
        - sticker
        - lightbox
      type: string
      description: |-
        * `conditioner` - Кондиционер
        * `no_smoking` - Не курить
        * `child_chair` - Детское кресло
        * `animal_transport` - Перевозка животных
        * `universal` - Универсал
        * `wifi` - Wi-Fi
        * `check` - Безналичный расчёт
        * `card` - Карта
        * `yamoney` - ЮMoney
        * `newspaper` - Газеты
        * `coupon` - Купон
        * `creditcard` - Оплата картой
        * `dont_call` - Не звонить
        * `smoking` - Можно курить
        * `delivery` - Доставка
        * `vip_event` - VIP-мероприятие
        * `woman_driver` - Водитель-женщина
        * `post_terminal` - Почтомат
        * `bicycle` - Перевозка велосипеда
        * `skiing` - Перевозка лыж
        * `passenger_plus` - Пассажир плюс
        * `cargo_clean` - Чистый кузов
        * `door_to_door` - От двери до двери
        * `sticker` - Наклейка
        * `lightbox` - Лайтбокс
    CategoryEnum:
      enum:
        - econom
        - comfort
        - comfort_plus
        - business
        - minivan
        - vip
        - wagon
        - pool
        - start
        - standart
        - ultimate
        - maybach
        - promo
        - premium_van
        - premium_suv
        - suv
        - personal_driver
        - express
        - cargo
      type: string
      description: |-
        * `econom` - эконом
        * `comfort` - комфорт
        * `comfort_plus` - комфорт+
        * `business` - бизнес
        * `minivan` - минивен
        * `vip` - VIP
        * `wagon` - универсальный
        * `pool` - pool
        * `start` - старт
        * `standart` - стандарт
        * `ultimate` - премьер
        * `maybach` - elite
        * `promo` - промо
        * `premium_van` - круиз
        * `premium_suv` - премиум внедорожник
        * `suv` - внедорожник
        * `personal_driver` - персональный водитель
        * `express` - доставка
        * `cargo` - грузовой
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````